- entityDefinitions:
  - IDE_Method_Common_Parms: '{9e4b1ad8-1988-483d-abb4-b8e4ab77a02c}'
  - IDE_Method_Common_Details: '{ab1adb18-aede-4eed-b83c-c03657e28a1d}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - element: '&IDE_Method_Common_Definition;'
    label: 'Definition'
    elementContents:
    - globalIdentifier: '{9e51cd55-6dc1-4b07-a08f-dc1c8ea4d97f}'
      defaultDataType: '&IDC_Method;'
      label: 'Method'
      order: a
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{f4493d97-f34c-40c4-836c-2bf8a305182a}'
      defaultDataType: '&IDMB_Instance__get__Global_Identifier;'
      label: 'Global Identifier'
      order: b
    - globalIdentifier: '{17a1b2c2-23c7-4f95-841d-23890e7bc3c8}'
      defaultDataType: '&IDR_Method__for__Class;'
      label: 'For Class'
      order: c
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
    - globalIdentifier: '{1c9ef524-54e6-4cf3-ae56-1ea611c2b9e8}'
      defaultDataType: '&IDA_Verb;'
      label: 'Verb'
      order: d
    - globalIdentifier: '{95517a4c-e9d6-4c6c-b1f6-4f6e1d5df4d7}'
      defaultDataType: '&IDA_Name;'
      label: 'Name'
      order: e
    - globalIdentifier: '{8462ca80-b3c0-4a29-b035-7912bd92c169}'
      defaultDataType: '&IDR_Instance__for__Module;'
      label: 'Module'
      order: f
    - globalIdentifier: '{c19ec6e1-6f16-4bad-9708-f37044ec24be}'
      defaultDataType: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      label: 'Access'
      order: g
      displayOptions:
      - instance: '&IDI_DisplayOption_Required;'
    - globalIdentifier: '{cd12afb7-84bb-4747-9e7f-96a9023f8bd9}'
      defaultDataType: '&IDA_Static;'
      label: 'Static'
      order: h
    - globalIdentifier: '{bccc0986-2ea7-4eab-9921-63a47eba051e}'
      defaultDataType: '&IDA_Final;'
      label: 'Final'
      order: i

  - element: '&IDE_Method_Common_Parms;'
    label: 'Parameters'
    elementContents:
    - globalIdentifier: '{09c6b9c6-e925-41eb-ae09-b12ac931db07}'
      defaultDataType: '&IDC_Method;'
      label: 'Method'
      order: a
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{47c78a41-ae70-4c60-9385-33a4f268d3ab}'
      # defaultDataType: '&IDR_Method_with_Static_and_Parms__uses_parm__Work_Data;'
      label: 'Optional parms'
      order: b
    - globalIdentifier: '{ab3627d3-ab43-4ae9-a175-535e83be0537}'
      # defaultDataType: '&IDR_Method_with_Static_and_Parms__uses_required_parm__Work_Data;'
      label: 'Required parms (null allowed)'
      order: c
    - globalIdentifier: '{1b5e31b1-047d-443b-a381-c7d49370198a}'
      # defaultDataType: '&IDR_Method_with_Static_and_Parms__uses_required_nullable_parm__Work_Data;'
      label: 'Required parms (not null)'
      order: d

  - element: '&IDE_Method_Common_Details;'
    label: 'Details'
    elementContents:
    - globalIdentifier: '{8b7a1152-d940-4338-b8e0-cbd83fc4e149}'
      defaultDataType: '&IDC_Method;'
      label: 'Method'
      order: a
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{08fef609-c751-4162-9ac2-10325c072a7d}'
      # defaultDataType: '&IDA_Comment;'
      label: 'Comment'
      order: b
    - globalIdentifier: '{6d61f728-eaea-4d33-b2cf-ffcdfb1c4886}'
      # defaultDataType: '&IDR_Method__has__Tag;' # ???
      label: 'Tags'
      order: c
    - globalIdentifier: '{d7e6357e-6f27-4b74-a82b-ce61bb2033d4}'
      # defaultDataType: '&IDR_Documentable__has__Documentation;' # ???
      label: 'Documentation'
      order: d